import type { FieldDescriptorProto } from "./google/protobuf/descriptor_pb.js";
import { FileDescriptorProto, FileDescriptorSet } from "./google/protobuf/descriptor_pb.js";
import type { DescriptorSet } from "./descriptor-set.js";
/**
 * Create a DescriptorSet, a convenient interface for working with a set of
 * google.protobuf.FileDescriptorProto.
 *
 * Note that files must be given in topological order, so each file appears
 * before any file that imports it. Protocol buffer compilers always produce
 * files in topological order.
 */
export declare function createDescriptorSet(input: FileDescriptorProto[] | FileDescriptorSet | Uint8Array): DescriptorSet;
/**
 * Get the default `packed` state of a repeated field.
 */
export declare function isPackedFieldByDefault(proto: FieldDescriptorProto, syntax: "proto2" | "proto3"): boolean;
