import type { IBinaryReader, IBinaryWriter } from "../binary-encoding.js";
import type { BinaryFormat, BinaryWriteOptions } from "../binary-format.js";
import type { FieldInfo } from "../field.js";
import { ScalarType } from "../field.js";
import type { MessageType } from "../message-type.js";
export declare function makeBinaryFormatCommon(): Omit<BinaryFormat, "writeMessage">;
export declare function readScalarLTString(reader: IBinaryReader, type: ScalarType): any;
export declare function writeMapEntry(writer: IBinaryWriter, options: BinaryWriteOptions, field: FieldInfo & {
    kind: "map";
}, key: any, value: any): void;
export declare function writeMessageField(writer: IBinaryWriter, options: BinaryWriteOptions, type: MessageType, fieldNo: number, value: any): void;
export declare function writeScalar(writer: IBinaryWriter, type: ScalarType, fieldNo: number, value: any, emitIntrinsicDefault: boolean): void;
export declare function writePacked(writer: IBinaryWriter, type: ScalarType, fieldNo: number, value: any[]): void;
